Package Details: sunflower-git 0.4-1

Git Clone URL: https://aur.archlinux.org/sunflower-git.git (read-only, click to copy)
Package Base: sunflower-git
Description: Small and highly customizable twin-panel file manager for Linux with support for plugins
Upstream URL: https://github.com/MeanEYE/Sunflower
Licenses: GPL3
Conflicts: sunflower
Submitter: nemesys
Maintainer: nemesys
Last Packager: nemesys
Votes: 16
Popularity: 0.193796
First Submitted: 2014-12-19 07:14
Last Updated: 2020-08-04 12:12

Latest Comments

1 2 3 Next › Last »

Nanook commented on 2020-10-10 13:30

Small error in PKGBUILD line 28: 'trasnaltions' > 'translations'

Prevents it from installing.

nemesys commented on 2020-08-04 12:13

Updated

duht commented on 2020-07-25 13:58

@nemesys I see that you followed the pkgbuild I posted in the comment under the sunflower (no git) aur package but:
-in dependencies section pygtk is no longer needed. It depends on python2 and sunflower v0.4 uses python3 modules.
-python-cairo-git is not needed at all (and why git version?).
-in optional deps: there is no such package as 'mutagen' in arch. It should be 'python-mutagen'.
Sunflower developer says: "Namely Sunflower 0.4 now depends on GTK3, GObject Introspection (python-gobject), character detection module (python-chardet).In addition to that, Sunflower is now started as a Python3 module. Dependencies like pygtk, python2-dbus, python2-gnomekeyring, python2-notify are no longer needed. We use everything through GObject Introspection."

Much gratitude.

nemesys commented on 2020-07-25 09:35

Updated to version .4 with all necessary updates applied.

Much gratitude.

xotkot commented on 2020-06-18 08:24

after installation

$ sunflower

python2: can't open file '/opt/sunflower/Sunflower.py': [Errno 2] No such file or directory

pio commented on 2020-05-05 18:37

Currently hard to install. Dependencies are unclear, installation not fully implemented. https://github.com/MeanEYE/Sunflower/issues/371

oberon2007 commented on 2018-05-28 20:49

The launcher no longer works since the script has been renamed to sunflower.py with a lowercase 's'! Also it will be best to use the provided .desktop file, which has a lot of translations, too. You can simply sed the correct path /opt/sunflower/application/sunflower.py when you copy it to /usr/share :) Thank you.

x7273 commented on 2018-03-27 12:37

It seems that python2-gobject must be in Dependencies, for "import gi" works well.

nemesys commented on 2016-06-22 05:47

Thank you both for the updates and I have updated to the more feature filled .3 branch. Forgive me for the longer than expected response time, I missed the comments below until now.
This is the best gui file manager available and I think everyone who uses it will agree that it has grown in leaps and bounds with many advanced and useful features. Thank you for such excellent work MeanEYE.

Axon commented on 2016-03-18 07:38

If the Sunflower does not start with "Error starting Sunflower, missing GTK 3.0+" message, install python2-gconf. The error message is misleading and probably will be fixed soon.